=== modified file 'Makefile'
--- Makefile	2010-02-19 18:45:21 +0000
+++ Makefile	2010-02-19 22:02:36 +0000
@@ -137,6 +137,7 @@
 		-b $(LP_BUILT_JS_ROOT) \
 		$(shell $(HERE)/utilities/yui-deps.py) \
 		lib/canonical/launchpad/icing/lazr/build/lazr.js
+	${SHHH} bin/jssize
 
 eggs:
 	# Usually this is linked via link-external-sourcecode, but in

=== modified file 'buildout.cfg'
--- buildout.cfg	2009-12-14 21:55:56 +0000
+++ buildout.cfg	2010-02-19 22:02:36 +0000
@@ -75,6 +75,7 @@
     jsbuild=lazr.js.build:main
     jslint=lazr.js.jslint:main
     tracereport=zc.zservertracelog.tracereport:main
+    jssize=lp.scripts.utilities.jssize:main
 
 [iharness]
 recipe = zc.recipe.egg

=== added file 'lib/lp/scripts/utilities/jssize.py'
--- lib/lp/scripts/utilities/jssize.py	1970-01-01 00:00:00 +0000
+++ lib/lp/scripts/utilities/jssize.py	2010-02-19 22:02:36 +0000
@@ -0,0 +1,20 @@
+# Copyright 2009 Canonical Ltd.  This software is licensed under the
+# GNU Affero General Public License version 3 (see the file LICENSE).
+
+"""Script to check the size of the generated javascript.
+
+This script tests to ensure optimized javascript never gets over a certain
+size.  If it gets too big, Windmill has issues. This is a hack until we can
+find out why Windmill has such issues.
+"""
+
+import os
+
+FILE_NAME = 'lib/canonical/launchpad/icing/build/launchpad.js'
+MAX_FILE_SIZE = 512000
+
+def main():
+    size = os.path.getsize(FILE_NAME)
+    if size > MAX_FILE_SIZE:
+        raise Exception(
+            'launchpad.js is greater than %d bytes' % MAX_FILE_SIZE)

